<?php

namespace App\Generated\V1_1\Messages\Friend;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;
use App\Generated\V1_1\DTOs\ListFriendDTO;

class GetFriendListMessage extends Message
{
    use ValueHelper;

    protected $listFriends;

    public function requestRules()
    {
        return [
        ];
    }

    public function responseRules()
    {
        return [
            ['listFriends', 'listFriends', ListFriendDTO::class, Constants::MODEL | Constants::ARRAY, null],
        ];
    }

    public function setResponse($listFriends)
    {
        $this->listFriends = $listFriends;
    }

}
